using UnityEngine;

namespace RebootKit.Engine.Simulation.Sensors {
    public interface ISensor {
        GameObject Sense();
    }

    public interface ISensor<out T> where T : class {
        T Sense();
    }
}